2017-02-27 03:35 ACDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000648CUPS for OS/2 & eComStationBugpublic2015-02-22 15:00
ReporterAnchieri 
Assigned Topsmedley 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionno change required 
PlatformASUS P5LD2-X/1333 dual coreOSeCS OS Version22 beta 1
Summary0000648: CUPS don't print after cmd "yum update"
DescriptionI use Cups v. 1.4.8 since two years ago with minor problem, but after the cmd in object CUPS don't view my HP PSC 1610 all in one usb printer.
I receive this message: Processing "waiting for printer become available"
and printer don't print anything.
From log file I have view this line:

print_device
usb_find_busses=1
usb_find_devices=3
gs_setpd.ps 43 1770356 459125 1397228 113340 true 801 3 <0>
STATE: +connecting-to-device
Failed to set configuration 1 for 03f0:4811 (this is the "Brand:model" of manifacturer as viewed with USBDOCK)
STATE: -connecting-to-device
attendo che la stampante sia disponibile...
Set job-printer-state-message to "attendo che la stampante sia disponibile

this msg can be in Italian or in English, depending if the job is the 'TEST PAGE' (in Italian) or received from a program as lucide or other (in English).
Additional InformationThis printer function normally when I print using the other Printer Object that use the OMNI:HP Deskjet 660c printer driver that use the PM Spooler directly.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003024

psmedley (administrator)

Did Yum update libc? My best guess at this point would be yum installed libc066 and this has changed something.

~0003025

psmedley (administrator)

or have you also updated USB drivers as well?

~0003026

Anchieri (reporter)

Thank Paul for your reply to my bug,
the cmd 'yum update ' update all my package installed and now I have a great number of problem, not only I have this, but also my QT4 programs finish immediately with 'abend' that fill the POPULOG.OS2 file that I attach for your convenience.

~0003027

Anchieri (reporter)

I attach also a trap in Firefox.exe

~0003028

psmedley (administrator)

I think it's fair to say this has nothing to do with CUPS, I'd suggest a ticket at http://trac.netlabs.org/rpm

~0003029

Anchieri (reporter)

I have open a ticket as you suggest me, and I resolved the problem with yum update (version 473 of stcpp6 and other phase installed erroneously and I was invited to downgrade it), but that don't resolved this ticket, I continue to receive the message that is "waiting for printer to become available" (attendo che la stampante sia disponibile), probably that usb.exe test something that result not conforming and give me this message. Can you analyze what usb.exe request?.
this is the data of usb.exe installed:
 usb.exe 20708 bytes date: 4-02-14 8:06a
I have previously also installed from ARCA NOAE the version 11-09 of usb stack that was in error and I have downgraded it to 11-06 that function perfectly for my PC.

~0003030

Anchieri (reporter)

Dear Smedley, I have resolved the mystery of this ticket, the version 11-09 of ARCANOAE USB stack install also the USBCALLS.dll that is incompatible I think, with this version of CUPS (v. 1.4.8), after reinstalling the old version dated:09/20/06 the printer function as usual.
I open a ticket to ARCANOAE for this problem.
Thank you for your interest in resolving this ticket.
+Notes

-Issue History
Date Modified Username Field Change
2015-02-11 20:56 Anchieri New Issue
2015-02-11 20:59 Anchieri File Added: error_log.txt
2015-02-14 06:34 psmedley Note Added: 0003024
2015-02-14 06:35 psmedley Note Added: 0003025
2015-02-15 21:41 Anchieri Note Added: 0003026
2015-02-15 21:42 Anchieri File Added: POPUPLOG.OS2
2015-02-15 21:44 Anchieri Note Added: 0003027
2015-02-15 21:45 Anchieri File Added: 005A_01.TRP
2015-02-16 05:41 psmedley Note Added: 0003028
2015-02-19 22:11 Anchieri Note Added: 0003029
2015-02-21 00:12 Anchieri Note Added: 0003030
2015-02-22 15:00 psmedley Status new => resolved
2015-02-22 15:00 psmedley Resolution open => no change required
2015-02-22 15:00 psmedley Assigned To => psmedley
+Issue History